Package de.willuhn.jameica.hbci.rmi

# Enum Class PurposeCode

java.lang.Object
java.lang.Enum<PurposeCode>
de.willuhn.jameica.hbci.rmi.PurposeCode

All Implemented Interfaces:
  `Serializable`, `Comparable<PurposeCode>`, `Constable`

public enum PurposeCode extends Enum<PurposeCode>
Enum fuer die verfuegbaren Purpose-Codes.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BONU`
Bonuszahlungen.
`CASH`
Cash Management Transfer
`CBFF`
Vermögenswirksame Leistungen
`CHAR`
Spendenzahlungen.
`DEPT`
Einzahlung
`GOVT`
Zahlung an öffentl.
`NOWS`
Nicht anders vorgeschrieben
`OTHR`
Andere
`PAYR`
Lohn
`REFU`
Gutschrift/Rücküberweisung
`RENT`
Miete
`RINP`
Wiederkehrende Zahlungen / Dauerauftrag
`SALA`
Gehaltszahlungen
`SSBE`
Sozialleistung

## Method Summary

Modifier and Type
Method
Description
`static List<String>`
`codes()`
Liefert die Liste der bekannten Codes.
`static PurposeCode`
`find(String code)`
Ermittelt den Purpose-Code.
`String`
`getCode()`
Liefert den Code.
`String`
`getName()`
Liefert einen sprechenden Namen fuer den Purpose-Code.
`String`
`toString()`
`static PurposeCode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PurposeCode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### RENT

public static final PurposeCode RENT
Miete

### DEPT

public static final PurposeCode DEPT
Einzahlung

### REFU

public static final PurposeCode REFU
Gutschrift/Rücküberweisung

### SALA

public static final PurposeCode SALA
Gehaltszahlungen

### PAYR

public static final PurposeCode PAYR
Lohn

### SSBE

public static final PurposeCode SSBE
Sozialleistung

### GOVT

public static final PurposeCode GOVT
Zahlung an öffentl. Kassen

### CBFF

public static final PurposeCode CBFF
Vermögenswirksame Leistungen

### BONU

public static final PurposeCode BONU
Bonuszahlungen.

### CHAR

public static final PurposeCode CHAR
Spendenzahlungen.

### RINP

public static final PurposeCode RINP
Wiederkehrende Zahlungen / Dauerauftrag

### CASH

public static final PurposeCode CASH
Cash Management Transfer

### NOWS

public static final PurposeCode NOWS
Nicht anders vorgeschrieben

### OTHR

public static final PurposeCode OTHR
Andere

## Method Details

### values

public static PurposeCode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static PurposeCode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getCode

public String getCode()
Liefert den Code.

Returns:
  code der Code.

### getName

public String getName()
Liefert einen sprechenden Namen fuer den Purpose-Code.

Returns:
  sprechender Name fuer den Purpose-Code.

### find

public static PurposeCode find(String code)
Ermittelt den Purpose-Code.

Parameters:
  `code` - der Code. Kann NULL sein.
Returns:
  der Purpose-Code oder NULL, wenn der Code nicht bekannt ist.

### toString

public String toString()

Overrides:
  `toString` in class `Enum<PurposeCode>`

### codes

public static List<String> codes()
Liefert die Liste der bekannten Codes.

Returns:
  die Liste der bekannten Codes.